package com.goafanti.common.dao;

import com.goafanti.common.bo.AreaBo;
import com.goafanti.common.bo.CityBo;
import com.goafanti.common.bo.ProvinceBo;
import com.goafanti.common.model.DistrictGlossory;

import java.util.List;

public interface DistrictGlossoryMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(DistrictGlossory record);

    int insertSelective(DistrictGlossory record);

    DistrictGlossory selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(DistrictGlossory record);

    int updateByPrimaryKey(DistrictGlossory record);
    
    List<DistrictGlossory> findByPid(Integer pid);
    
    String selectNameById(Integer id);
    
    List<ProvinceBo> getProvince();
	
	List<CityBo> getCity();
	
	List<AreaBo> getArea();


    List<DistrictGlossory> getAll();
}